Method: projects.locations.spaces.generateAssessmentReport

Generate a best practice report for a given Terraform plan.

HTTP request

POST https://designcenter.googleapis.com/v1alpha/{spaceName=projects/*/locations/*/spaces/*}:generateAssessmentReport

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
spaceName

string

Required. The name of the space at which Generate Assessment Report is called. Format: projects/$project/locations/$location/spaces/$space

Request body

The request body contains data with the following structure:

JSON representation
{
  "terraformPlan": string,
  "additionalFrameworks": [
    string
  ]
}
Fields
terraformPlan

string (bytes format)

Required. Terraform plan bytes.

A base64-encoded string.

additionalFrameworks[]

string

Optional. Additional Frameworks to run assessment against. If empty, run against default frameworks. Frameworks refers to the policies.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.